Package javax.mail.event

## Interface TransportListener

All Superinterfaces:
  `java.util.EventListener`

All Known Implementing Classes:
  `TransportAdapter`

    public interface TransportListener
    extends java.util.EventListener

This is the Listener interface for Transport events

Author:
  John Mani, Max Spivak
See Also:
  `Transport`, `TransportEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `messageDelivered​(TransportEvent e)` Invoked when a Message is succesfully delivered.
`void` `messageNotDelivered​(TransportEvent e)` Invoked when a Message is not delivered.
`void` `messagePartiallyDelivered​(TransportEvent e)` Invoked when a Message is partially delivered.

### Method Detail

#### messageDelivered

    void messageDelivered​(TransportEvent e)

Invoked when a Message is succesfully delivered.

Parameters:
  `e` - TransportEvent

#### messageNotDelivered

    void messageNotDelivered​(TransportEvent e)

Invoked when a Message is not delivered.

Parameters:
  `e` - TransportEvent
See Also:
  `TransportEvent`

#### messagePartiallyDelivered

    void messagePartiallyDelivered​(TransportEvent e)

Invoked when a Message is partially delivered.

Parameters:
  `e` - TransportEvent
See Also:
  `TransportEvent`